Page MenuHomePhabricator

Document process for translation of community blog
Closed, ResolvedPublic

Description

We have a feature in WordPress to translate blog content. We need to document this so that people who wish to translate can do so with little frustration and consistency.

It should be as easy as:

  1. Log in to the blog.
  2. Find the article you want to translate.
  3. Click an link to start translating.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 27 2019, 6:57 PM
Qgil moved this task from Inbox to Jul-Sep-2019 on the Space board.Jul 5 2019, 9:14 AM
Qgil edited projects, added Space (Jul-Sep-2019); removed Space.
Qgil triaged this task as Medium priority.Jul 5 2019, 9:18 AM

I think organizing translations isn't as simple. There needs to be a chain of trust assuring that the translations submitted are actually translations. Otherwise anyone could just submit Lorem Ipsum in some Indic script and ridicule us. :)

How can we leverage the existing structures and processes of the existing community of translators?

My first thought is that we'd might not want to try to leverage that, but build something new. The existing structures are tied to specific types of translations: if you hang out at Translatewiki, it's to translate software. The translators-l translators typically act on occasional requests, people who translate e.g. Meta might translate what they stumble over. When looking at the content of the blog, a lot of this is the kind of material we've not been very successful at translating. By trying to leverage what hasn't been working well for this kind of material in the past, I think we'd be setting us up for disappointment. I wonder if we'd not be better off a) trying to build something new and b) using that as a base for our later work with translators.

Qgil added a comment.Jul 16 2019, 7:42 AM

A practical question: when an announcement is being posted in, say, a translatable page in Meta and a translatable blog post in Space, how a translations supposed to be handled. It looks like it is going to be a question coming to us pretty soon.

Some feedback from a someone who recently published a multi-lingual post to Space, "I think it could be improved by generating an automated copy of the original article when starting a translation. Maybe I missed an option, but I had to copy-paste the article's text and re-integrate images by hand. It could have been a lot faster if I just had the translation part to do and not re-do the editorial work. "

Polylang Pro allows for this feature. We are currently using plain Polylang.

Another suggestion (adding here so I don't forget)

it would be interesting to insert an option to allow anyone to translate any article. It could be a button at the end or beginning of each article saying "translate this article into your language" (or even an option to "ask for a translation" if someone is interested in the subject but doesn't understand the content).

This is something @hdothiduc and I could discuss from a design perspective and @mcruzWMF and I from an editorial process and documentation perspective.

CKoerner_WMF raised the priority of this task from Medium to High.Sep 26 2019, 8:50 PM
CKoerner_WMF moved this task from Jul-Sep-2019 to Oct-Dec-2019 on the Space board.
CKoerner_WMF edited projects, added Space (Oct-Dec-2019); removed Space (Jul-Sep-2019).
Aklapper removed a subscriber: Aklapper.Oct 31 2019, 10:16 AM

@CKoerner_WMF: Mass-moving open Space (Oct-Dec-2019) tasks to Space (Jan-Mar-2020). In case this task has been fixed (resolved) already or is not being worked on anymore (declined), please update the task status via the Add Action...Change Status dropdown. Thanks!

CKoerner_WMF moved this task from Jan-Mar-2020 to Apr-Jun-2020 on the Space board.Mar 16 2020, 3:24 PM
CKoerner_WMF edited projects, added Space (Apr-Jun-2020); removed Space (Jan-Mar-2020).
CKoerner_WMF renamed this task from Document process for translation of Space blog to Document process for translation of community blog.Mar 16 2020, 4:27 PM
CKoerner_WMF updated the task description. (Show Details)
CKoerner_WMF closed this task as Resolved.Jul 14 2020, 1:49 PM
CKoerner_WMF added a project: Diff-blog.

Diff has translation capabilities and directions documented.

diff.wikimedia.org/translation